Set secret binding
curl --request PUT \
--url https://api.instacloud.com/projects/{projectId}/secret-bindings/{name} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"target": "<string>",
"source": "<string>",
"branch": "<string>",
"sourceName": "<string>"
}
'import requests
url = "https://api.instacloud.com/projects/{projectId}/secret-bindings/{name}"
payload = {
"target": "<string>",
"source": "<string>",
"branch": "<string>",
"sourceName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
target: '<string>',
source: '<string>',
branch: '<string>',
sourceName: '<string>'
})
};
fetch('https://api.instacloud.com/projects/{projectId}/secret-bindings/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true
}{
"status": "approval_required",
"approvalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"action": "<string>",
"actions": [
"<string>"
],
"message": "<string>",
"url": "<string>",
"nextActions": [
{
"op": "<string>",
"reason": "<string>",
"args": {},
"gated": true
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Secrets
Set secret binding
Token scope: account · org · project — read-only tokens refused (not a GET).
Bind a provider-minted credential into a compute env var. Gated — secrets.write.
PUT
/
projects
/
{projectId}
/
secret-bindings
/
{name}
Set secret binding
Authorizations
Session access JWT or an API token (insta_<prefix>_<secret>).
Body
application/json
Response
Default Response